BytesJDBCAdapter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.jdbc.adapter.BytesJDBCAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class BytesJDBCAdapter

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
          org.codehaus.activemq.store.jdbc.adapter.BytesJDBCAdapter

All Implemented Interfaces:
  JDBCAdapter

Direct Known Subclasses:
  HsqldbJDBCAdapter

public class BytesJDBCAdapter
extends DefaultJDBCAdapter

This JDBCAdapter inserts and extracts BLOB data using the setBytes()/getBytes() operations. The databases/JDBC drivers that use this adapter are:

Version:
  $Revision: 1.1 $

Nested Class Summary

Nested classes inherited from class org.codehaus.activemq.store.jdbc.JDBCAdapter
`JDBCAdapter.MessageListResultHandler`

Field Summary

Fields inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`sequenceGenerator, statementProvider`

Constructor Summary
`BytesJDBCAdapter()`
`BytesJDBCAdapter(StatementProvider provider)`

Method Summary
`protected byte[]` | `getBinaryData(ResultSet rs, int index)`
`protected void` | `setBinaryData(PreparedStatement s, int index, byte[] data)`

Methods inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`doAddMessage, doAddXid, doCreateTables, doGetMessage, doGetSubscriberEntry, doGetXids, doLoadPreparedTransactions, doRecover, doRecoverSubscription, doRemoveMessage, doRemoveXid, doSetLastAck, doSetSubscriberEntry, getMessageSequenceId, getSequenceGenerator, initSequenceGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytesJDBCAdapter

    public BytesJDBCAdapter()

### BytesJDBCAdapter

    public BytesJDBCAdapter(StatementProvider provider)

Method Detail

### getBinaryData

    protected byte[] getBinaryData(ResultSet rs,
                                   int index)
                            throws SQLException

  Overrides:
    `getBinaryData` in class `DefaultJDBCAdapter`
  Throws:
    `SQLException`
  See Also:
    `DefaultJDBCAdapter.getBinaryData(java.sql.ResultSet, int)`

### setBinaryData

    protected void setBinaryData(PreparedStatement s,
                                 int index,
                                 byte[] data)
                          throws SQLException

  Overrides:
    `setBinaryData` in class `DefaultJDBCAdapter`
  Throws:
    `SQLException`
  See Also:
    `DefaultJDBCAdapter.setBinaryData(java.sql.PreparedStatement, int, byte[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.